
kerio.waw.ui.interfaceDialInEditor = {
x_m: function(x_n) {
this.x_ga = x_n; var x_2w = this.x_ga + '_';
var x_1b = kerio.lib;
var x_x = x_1b.x_x;
var x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t);
var x_11u = {
x_1e: [
new x_fa.x_11k.x_11v(x_r.x_kh.x_11w),
new x_fa.x_11k.x_11x(),      new x_fa.x_11k.x_11y()  ]
};var x_11z = new x_1b.x_1t(x_2w + 'x_11z', x_11u);
var x_10 = {
x_1v: 320,
x_1x: x_11z,

x_mc: function(x_32) {
x_32.x_16.x_iy();
}
};
var x_16 = new x_1b.x_26(this.x_ga, new x_fa.x_11k.x_11l(x_10));
this.x_2a(x_16);
var x_q3 = new x_1b.x_q2(x_2w + 'x_q3', [x_11z]);
if (x_o) {
x_q3.x_7f();
}
x_16.x_27(
{	x_n: x_n,
x_o: x_o,
x_q3: x_q3
}
);x_11z.x_27(
{
x_16: x_16
}
);return x_16;
},
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28) {
var
x_47,
x_o5 = x_28.x_47,
x_120 = x_o5.connectivityParameters;
this.x_o5 = x_o5; this.x_121 = x_28.x_5d.x_121;
x_fi.x_122(this.x_q3, this.x_121, x_o5.group);
x_47 = {
x_a6: x_o5.name,
x_vy: x_o5.group,
x_123: x_120.onDemand,
x_124: x_120.downBandwidth,
x_125:  x_120.downBandwidthUnit,
x_126: x_120.failoverRole
};
this.x_q3.x_7k(x_47);
this.x_5d = x_28.x_5d;
};
x_2b.x_iy = function() {
var x_47 = this.x_q3.x_7i(true);
var x_o5 = this.x_o5;
x_o5.group = x_47.x_vy;
x_o5.connectivityParameters = {
onDemand: x_47.x_123,
downBandwidth: x_47.x_124,
downBandwidthUnit: x_47.x_125,
failoverRole: x_47.x_126
};
x_fi.x_127.call(this,
{
ids: [x_o5.id],
details: x_o5
},
this.x_jk
); };
x_2b.x_jk = function(x_6v) {
this.x_24(false);
if (!x_6v.x_6x) {
return;
}
this.x_5d.x_6y();
kerio.waw.status.x_14.x_15(true);
this.x_2r();
};
x_2b.x_jo = function() {
this.x_q3.x_2h();
};
}}; 